{
	"model": {
		"type": "condition",
		"property": "using_item",
		"on_false": {
			"type": "select",
			"base": "item/shield",
			"property": "component",
			"component": "custom_name",
			"model": {
				"type": "shield"
			},
			"cases": [
				{
					"when": "Paladin",
					"model": {
						"type": "model",
						"base": "mcd:item/shields/paladin",
						"model": "mcd:item/shields/paladin"
					}
				}
			],
			"fallback": {
				"type": "special",
				"base": "item/shield",
				"model": {
					"type": "shield"
				}
			}
		},
		"on_true": {
			"type": "select",
			"base": "item/shield_blocking",
			"model": {
				"type": "shield"
			},
			"property": "component",
			"component": "custom_name",
			"cases": [
				{
					"when": "Paladin",
					"model": {
						"type": "model",
						"base": "mcd:item/shields/paladin_blocking",
						"model": "mcd:item/shields/paladin_blocking"
					}
				}
			],
			"fallback": {
				"type": "special",
				"base": "item/shield_blocking",
				"model": {
					"type": "shield"
				}
			}
		}
	}
}